﻿using System;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ImageDrawing
{
    public class Test : ContentPage
    {
        SfChart chart;


        public Test()
        {
            StackLayout rootLayout = new StackLayout();
            
            chart = new SfChart();
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.PrimaryAxis = new NumericalAxis();
            chart.SecondaryAxis = new NumericalAxis();

            Button button = new Button();
            button.Text = "Click";
            button.Clicked += Button_Clicked;

            rootLayout.Children.Add(chart);
            rootLayout.Children.Add(button);
            Content = rootLayout;
        }

		void Button_Clicked(object sender, EventArgs e)
		{
            chart.SaveAsImage("chart.png");
		}

	}
}
